(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 7.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     30525,        862]
NotebookOptionsPosition[     26878,        729]
NotebookOutlinePosition[     27538,        754]
CellTagsIndexPosition[     27451,        749]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell[BoxData[
 RowBox[{"Needs", "[", "\"\<SpinDynamica`\>\"", "]"}]], "Input",
 CellChangeTimes->{{3.450336910857295*^9, 3.450336917940371*^9}, {
  3.568901602293026*^9, 3.568901614219708*^9}}],

Cell[BoxData[
 TagBox[
  FrameBox["\<\"SpinDynamica version 3.0.1 loaded\"\>"],
  DisplayForm]], "Print",
 CellChangeTimes->{3.7121604095339856`*^9}],

Cell[BoxData[
 TemplateBox[{
  "ModifyBuiltIn","report",
   "\"The following built-in routines have been modified in SpinDynamica: \\!\
\\(\\*RowBox[{\\\"{\\\", RowBox[{\\\"Chop\\\", \\\",\\\", \\\"Dot\\\", \
\\\",\\\", \\\"Duration\\\", \\\",\\\", \\\"Exp\\\", \\\",\\\", \
\\\"Expand\\\", \\\",\\\", \\\"ExpandAll\\\", \\\",\\\", \\\"NumericQ\\\", \\\
\",\\\", \\\"Plus\\\", \\\",\\\", \\\"Power\\\", \\\",\\\", \\\"Simplify\\\", \
\\\",\\\", \\\"Times\\\", \\\",\\\", \\\"WignerD\\\"}], \\\"}\\\"}]\\). \
\\nEvaluate \
??\\!\\(\\*\\nStyleBox[\\\"symbol\\\",\\nFontSlant->\\\"Italic\\\"]\\) to \
generate the additional definitions for \
\\!\\(\\*\\nStyleBox[\\\"symbol\\\",\\nFontSlant->\\\"Italic\\\"]\\).\"",2,1,
   1,29119467435074503810,"Local"},
  "MessageTemplate"]], "Message", "MSG",
 CellChangeTimes->{3.712160410704291*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"SetSpinSystem", "[", "2", "]"}]], "Input",
 CellChangeTimes->{{3.45616396286911*^9, 3.45616396576895*^9}, 
   3.456201606022471*^9, 3.456204541615698*^9, 3.456204576928049*^9}],

Cell[BoxData[
 TemplateBox[{
  "SetSpinSystem","set",
   "\"the spin system has been set to \\!\\(\\*RowBox[{\\\"{\\\", \
RowBox[{RowBox[{\\\"{\\\", RowBox[{\\\"1\\\", \\\",\\\", \
FractionBox[\\\"1\\\", \\\"2\\\"]}], \\\"}\\\"}], \\\",\\\", \
RowBox[{\\\"{\\\", RowBox[{\\\"2\\\", \\\",\\\", FractionBox[\\\"1\\\", \\\"2\
\\\"]}], \\\"}\\\"}]}], \\\"}\\\"}]\\)\"",2,2,2,29119467435074503810,"Local"},
  
  "MessageTemplate"]], "Message", "MSG",
 CellChangeTimes->{
  3.456163966369556*^9, {3.456164286553218*^9, 3.45616430554272*^9}, 
   3.456164374062786*^9, 3.456164593915292*^9, 3.4562015544899282`*^9, 
   3.456201608205554*^9, 3.4562021802379427`*^9, 3.456202498330545*^9, 
   3.4562028142931004`*^9, 3.456203069214973*^9, 3.456204078992474*^9, 
   3.456204140752467*^9, 3.456204494804265*^9, 3.4562045420959673`*^9, {
   3.456204577367599*^9, 3.456204583615263*^9}, 3.456204854481304*^9, 
   3.45620489799152*^9, 3.461036948022011*^9, 3.461066145853022*^9, 
   3.502942771367139*^9, {3.502943046043352*^9, 3.5029430543488607`*^9}, 
   3.50294359940742*^9, 3.5029441497184153`*^9, 3.502944538756997*^9, 
   3.5150838261804333`*^9, 3.568901636914006*^9, 3.712160410876416*^9}],

Cell[BoxData[
 TemplateBox[{
  "SetBasis","set",
   "\"the state basis has been set to \\!\\(\\*RowBox[{\\\"ZeemanBasis\\\", \
\\\"[\\\", RowBox[{RowBox[{\\\"{\\\", RowBox[{RowBox[{\\\"{\\\", \
RowBox[{\\\"1\\\", \\\",\\\", FractionBox[\\\"1\\\", \\\"2\\\"]}], \
\\\"}\\\"}], \\\",\\\", RowBox[{\\\"{\\\", RowBox[{\\\"2\\\", \\\",\\\", \
FractionBox[\\\"1\\\", \\\"2\\\"]}], \\\"}\\\"}]}], \\\"}\\\"}], \\\",\\\", \
RowBox[{\\\"BasisLabels\\\", \\\"\[Rule]\\\", \\\"Automatic\\\"}]}], \
\\\"]\\\"}]\\).\"",2,2,3,29119467435074503810,"Local"},
  "MessageTemplate"]], "Message", "MSG",
 CellChangeTimes->{
  3.456163966369556*^9, {3.456164286553218*^9, 3.45616430554272*^9}, 
   3.456164374062786*^9, 3.456164593915292*^9, 3.4562015544899282`*^9, 
   3.456201608205554*^9, 3.4562021802379427`*^9, 3.456202498330545*^9, 
   3.4562028142931004`*^9, 3.456203069214973*^9, 3.456204078992474*^9, 
   3.456204140752467*^9, 3.456204494804265*^9, 3.4562045420959673`*^9, {
   3.456204577367599*^9, 3.456204583615263*^9}, 3.456204854481304*^9, 
   3.45620489799152*^9, 3.461036948022011*^9, 3.461066145853022*^9, 
   3.502942771367139*^9, {3.502943046043352*^9, 3.5029430543488607`*^9}, 
   3.50294359940742*^9, 3.5029441497184153`*^9, 3.502944538756997*^9, 
   3.5150838261804333`*^9, 3.568901636914006*^9, 3.7121604109353857`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell["bases", "Section",
 CellChangeTimes->{{3.50294382080295*^9, 3.5029438214739943`*^9}}],

Cell[CellGroupData[{

Cell["ZeemanBasis", "Subsection",
 CellChangeTimes->{{3.5029436254304247`*^9, 3.502943629315881*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Basis", "[", "]"}]], "Input",
 CellChangeTimes->{{3.502943619712439*^9, 3.502943621092949*^9}}],

Cell[BoxData[
 RowBox[{"ZeemanBasis", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"1", ",", 
       FractionBox["1", "2"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"2", ",", 
       FractionBox["1", "2"]}], "}"}]}], "}"}], ",", 
   RowBox[{"BasisLabels", "\[Rule]", "Automatic"}]}], "]"}]], "Output",
 CellChangeTimes->{3.5029436216558104`*^9, 3.5029441525998077`*^9, 
  3.515083826275741*^9, 3.568901667732769*^9, 3.7121604109601808`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"BasisKets", "[", "]"}]], "Input",
 CellChangeTimes->{{3.5029436027214212`*^9, 3.50294360867701*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"\<\"\[LeftBracketingBar]\[Alpha]\[Alpha]\[RightAngleBracket]\"\>", 
   ",", "\<\"\[LeftBracketingBar]\[Beta]\[Alpha]\[RightAngleBracket]\"\>", 
   ",", "\<\"\[LeftBracketingBar]\[Alpha]\[Beta]\[RightAngleBracket]\"\>", 
   ",", "\<\"\[LeftBracketingBar]\[Beta]\[Beta]\[RightAngleBracket]\"\>"}], 
  "}"}]], "Output",
 CellChangeTimes->{3.502943609185301*^9, 3.5029441527002993`*^9, 
  3.515083826309621*^9, 3.568901670476926*^9, 3.7121604109741926`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"BasisBras", "[", "]"}]], "Input",
 CellChangeTimes->{{3.502943611711905*^9, 3.502943613981101*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"\<\"<\[Alpha]\[Alpha]|\"\>", ",", "\<\"<\[Beta]\[Alpha]|\"\>", 
   ",", "\<\"<\[Alpha]\[Beta]|\"\>", ",", "\<\"<\[Beta]\[Beta]|\"\>"}], 
  "}"}]], "Output",
 CellChangeTimes->{3.5029436145420094`*^9, 3.502944152767783*^9, 
  3.515083826337678*^9, 3.5689016818295755`*^9, 3.712160410987219*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"MatrixRepresentation", "[", 
   RowBox[{"opI", "[", "\"\<y\>\"", "]"}], "]"}], "//", 
  "MatrixForm"}]], "Input",
 CellChangeTimes->{{3.502943633507667*^9, 3.5029436441813793`*^9}}],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"0", 
      RowBox[{"-", 
       FractionBox["\[ImaginaryI]", "2"]}], 
      RowBox[{"-", 
       FractionBox["\[ImaginaryI]", "2"]}], "0"},
     {
      FractionBox["\[ImaginaryI]", "2"], "0", "0", 
      RowBox[{"-", 
       FractionBox["\[ImaginaryI]", "2"]}]},
     {
      FractionBox["\[ImaginaryI]", "2"], "0", "0", 
      RowBox[{"-", 
       FractionBox["\[ImaginaryI]", "2"]}]},
     {"0", 
      FractionBox["\[ImaginaryI]", "2"], 
      FractionBox["\[ImaginaryI]", "2"], "0"}
    },
    GridBoxAlignment->{
     "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
      "RowsIndexed" -> {}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[
   SparseArray[
    Automatic, {4, 4}, 0, {
     1, {{0, 2, 4, 6, 8}, {{2}, {3}, {1}, {4}, {4}, {1}, {3}, {2}}}, {
      Complex[0, Rational[-1, 2]], Complex[0, Rational[-1, 2]], Complex[
       0, Rational[1, 2]], Complex[0, Rational[-1, 2]], Complex[
       0, Rational[-1, 2]], Complex[0, Rational[1, 2]], Complex[
       0, Rational[1, 2]], Complex[0, Rational[1, 2]]}}]]]]], "Output",
 CellChangeTimes->{3.5029436447915688`*^9, 3.502944152849408*^9, 
  3.515083826424322*^9, 3.568901684939753*^9, 3.712160411068782*^9}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["SingletTripletBasis", "Subsection",
 CellChangeTimes->{{3.5029436254304247`*^9, 3.5029436585239887`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"SetBasis", "[", 
  RowBox[{"SingletTripletBasis", "[", "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.502943662972336*^9, 3.502943669735518*^9}}],

Cell[BoxData[
 TemplateBox[{
  "SetBasis","set",
   "\"the state basis has been set to \
\\!\\(\\*RowBox[{\\\"SingletTripletBasis\\\", \\\"[\\\", \
RowBox[{RowBox[{\\\"{\\\", RowBox[{RowBox[{\\\"{\\\", RowBox[{\\\"1\\\", \
\\\",\\\", FractionBox[\\\"1\\\", \\\"2\\\"]}], \\\"}\\\"}], \\\",\\\", \
RowBox[{\\\"{\\\", RowBox[{\\\"2\\\", \\\",\\\", FractionBox[\\\"1\\\", \\\"2\
\\\"]}], \\\"}\\\"}]}], \\\"}\\\"}], \\\",\\\", RowBox[{\\\"BasisLabels\\\", \
\\\"\[Rule]\\\", \\\"Automatic\\\"}]}], \\\"]\\\"}]\\).\"",2,7,4,
   29119467435074503810,"Local"},
  "MessageTemplate"]], "Message", "MSG",
 CellChangeTimes->{3.502943670491665*^9, 3.502944156669215*^9, 
  3.515083826456544*^9, 3.568901690637079*^9, 3.7121604111022863`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"BasisKets", "[", "]"}]], "Input",
 CellChangeTimes->{{3.5029436027214212`*^9, 3.50294360867701*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   FractionBox[
    RowBox[{
     RowBox[{
     "-", "\<\"\[LeftBracketingBar]\[Beta]\[Alpha]\[RightAngleBracket]\"\>"}],
      "+", "\<\"\[LeftBracketingBar]\[Alpha]\[Beta]\[RightAngleBracket]\"\>"}]\
, 
    SqrtBox["2"]], 
   ",", "\<\"\[LeftBracketingBar]\[Alpha]\[Alpha]\[RightAngleBracket]\"\>", 
   ",", 
   FractionBox[
    RowBox[{"\<\"\[LeftBracketingBar]\[Beta]\[Alpha]\[RightAngleBracket]\"\>",
      "+", "\<\"\[LeftBracketingBar]\[Alpha]\[Beta]\[RightAngleBracket]\"\>"}]\
, 
    SqrtBox["2"]], 
   ",", "\<\"\[LeftBracketingBar]\[Beta]\[Beta]\[RightAngleBracket]\"\>"}], 
  "}"}]], "Output",
 CellChangeTimes->{3.502943609185301*^9, 3.502943681675775*^9, 
  3.502944156751603*^9, 3.515083826504319*^9, 3.5689016928222036`*^9, 
  3.7121604111187963`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"BasisBras", "[", "]"}]], "Input",
 CellChangeTimes->{{3.502943611711905*^9, 3.502943613981101*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   FractionBox[
    RowBox[{
     RowBox[{"-", "\<\"<\[Beta]\[Alpha]|\"\>"}], 
     "+", "\<\"<\[Alpha]\[Beta]|\"\>"}], 
    SqrtBox["2"]], ",", "\<\"<\[Alpha]\[Alpha]|\"\>", ",", 
   FractionBox[
    RowBox[{"\<\"<\[Beta]\[Alpha]|\"\>", "+", "\<\"<\[Alpha]\[Beta]|\"\>"}], 
    SqrtBox["2"]], ",", "\<\"<\[Beta]\[Beta]|\"\>"}], "}"}]], "Output",
 CellChangeTimes->{3.5029436145420094`*^9, 3.5029436817924547`*^9, 
  3.5029441567860193`*^9, 3.515083826556448*^9, 3.568901695847377*^9, 
  3.712160411135808*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"MatrixRepresentation", "[", 
   RowBox[{"opI", "[", "\"\<y\>\"", "]"}], "]"}], "//", 
  "MatrixForm"}]], "Input",
 CellChangeTimes->{{3.502943633507667*^9, 3.5029436441813793`*^9}}],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"0", "0", "0", "0"},
     {"0", "0", 
      RowBox[{"-", 
       FractionBox["\[ImaginaryI]", 
        SqrtBox["2"]]}], "0"},
     {"0", 
      FractionBox["\[ImaginaryI]", 
       SqrtBox["2"]], "0", 
      RowBox[{"-", 
       FractionBox["\[ImaginaryI]", 
        SqrtBox["2"]]}]},
     {"0", "0", 
      FractionBox["\[ImaginaryI]", 
       SqrtBox["2"]], "0"}
    },
    GridBoxAlignment->{
     "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
      "RowsIndexed" -> {}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[
   SparseArray[
    Automatic, {4, 4}, 0, {
     1, {{0, 0, 1, 3, 4}, {{3}, {2}, {4}, {3}}}, {
      Complex[0, -1] 2^Rational[-1, 2], Complex[0, 1] 2^Rational[-1, 2], 
       Complex[0, -1] 2^Rational[-1, 2], Complex[0, 1] 
       2^Rational[-1, 2]}}]]]]], "Output",
 CellChangeTimes->{3.5029436447915688`*^9, 3.5029436818596287`*^9, 
  3.502944156822587*^9, 3.51508382660583*^9, 3.568901702924782*^9, 
  3.71216041125189*^9}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Eigenbasis", "Subsection",
 CellChangeTimes->{{3.5029436254304247`*^9, 3.5029436585239887`*^9}, {
  3.502943710685573*^9, 3.502943714651663*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"SetBasis", "[", 
  RowBox[{"Eigenbasis", "[", 
   RowBox[{"opI", "[", "\"\<x\>\"", "]"}], "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.502943662972336*^9, 3.502943669735518*^9}, {
  3.502943717901353*^9, 3.502943722908773*^9}}],

Cell[BoxData[
 TemplateBox[{
  "CheckBasis","orthonormal","\"State basis is orthonormal.\"",2,11,5,
   29119467435074503810,"Local"},
  "MessageTemplate"]], "Message", "MSG",
 CellChangeTimes->{3.502943670491665*^9, 3.5029437236081667`*^9, 
  3.502944161689904*^9, 3.515083826655389*^9, 3.568901706607992*^9, 
  3.7121604113744793`*^9}],

Cell[BoxData[
 TemplateBox[{
  "SetBasis","set",
   "\"the state basis has been set to \\!\\(\\*RowBox[{\\\"Eigenbasis\\\", \\\
\"[\\\", RowBox[{RowBox[{SubscriptBox[\\\"I\\\", RowBox[{\\\"1\\\", \
\\\"x\\\"}]], \\\"+\\\", SubscriptBox[\\\"I\\\", RowBox[{\\\"2\\\", \
\\\"x\\\"}]]}], \\\",\\\", RowBox[{\\\"{\\\", RowBox[{RowBox[{\\\"{\\\", \
RowBox[{\\\"1\\\", \\\",\\\", FractionBox[\\\"1\\\", \\\"2\\\"]}], \
\\\"}\\\"}], \\\",\\\", RowBox[{\\\"{\\\", RowBox[{\\\"2\\\", \\\",\\\", \
FractionBox[\\\"1\\\", \\\"2\\\"]}], \\\"}\\\"}]}], \\\"}\\\"}], \\\",\\\", \
RowBox[{\\\"BasisLabels\\\", \\\"\[Rule]\\\", \\\"Automatic\\\"}]}], \
\\\"]\\\"}]\\).\"",2,11,6,29119467435074503810,"Local"},
  "MessageTemplate"]], "Message", "MSG",
 CellChangeTimes->{3.502943670491665*^9, 3.5029437236081667`*^9, 
  3.502944161689904*^9, 3.515083826655389*^9, 3.568901706607992*^9, 
  3.7121604113919916`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"BasisKets", "[", "]"}]], "Input",
 CellChangeTimes->{{3.5029436027214212`*^9, 3.50294360867701*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{
    FractionBox["\<\"\[LeftBracketingBar]\[Beta]\[Beta]\[RightAngleBracket]\"\
\>", "2"], "-", 
    FractionBox["\<\"\[LeftBracketingBar]\[Beta]\[Alpha]\[RightAngleBracket]\"\
\>", "2"], "-", 
    FractionBox["\<\"\[LeftBracketingBar]\[Alpha]\[Beta]\[RightAngleBracket]\"\
\>", "2"], "+", 
    FractionBox["\<\"\[LeftBracketingBar]\[Alpha]\[Alpha]\[RightAngleBracket]\
\"\>", "2"]}], ",", 
   RowBox[{
    FractionBox["\<\"\[LeftBracketingBar]\[Beta]\[Beta]\[RightAngleBracket]\"\
\>", "2"], "+", 
    FractionBox["\<\"\[LeftBracketingBar]\[Beta]\[Alpha]\[RightAngleBracket]\"\
\>", "2"], "+", 
    FractionBox["\<\"\[LeftBracketingBar]\[Alpha]\[Beta]\[RightAngleBracket]\"\
\>", "2"], "+", 
    FractionBox["\<\"\[LeftBracketingBar]\[Alpha]\[Alpha]\[RightAngleBracket]\
\"\>", "2"]}], ",", 
   RowBox[{
    FractionBox["\<\"\[LeftBracketingBar]\[Beta]\[Beta]\[RightAngleBracket]\"\
\>", 
     SqrtBox["2"]], "-", 
    FractionBox["\<\"\[LeftBracketingBar]\[Alpha]\[Alpha]\[RightAngleBracket]\
\"\>", 
     SqrtBox["2"]]}], ",", 
   RowBox[{
    RowBox[{"-", 
     FractionBox["\<\"\[LeftBracketingBar]\[Beta]\[Alpha]\[RightAngleBracket]\
\"\>", 
      SqrtBox["2"]]}], "+", 
    FractionBox["\<\"\[LeftBracketingBar]\[Alpha]\[Beta]\[RightAngleBracket]\"\
\>", 
     SqrtBox["2"]]}]}], "}"}]], "Output",
 CellChangeTimes->{3.502943609185301*^9, 3.502943681675775*^9, 
  3.502943730695035*^9, 3.502944161807638*^9, 3.515083826708851*^9, 
  3.568901711553275*^9, 3.7121604114345217`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"BasisBras", "[", "]"}]], "Input",
 CellChangeTimes->{{3.502943611711905*^9, 3.502943613981101*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{
    FractionBox["\<\"<\[Beta]\[Beta]|\"\>", "2"], "-", 
    FractionBox["\<\"<\[Beta]\[Alpha]|\"\>", "2"], "-", 
    FractionBox["\<\"<\[Alpha]\[Beta]|\"\>", "2"], "+", 
    FractionBox["\<\"<\[Alpha]\[Alpha]|\"\>", "2"]}], ",", 
   RowBox[{
    FractionBox["\<\"<\[Beta]\[Beta]|\"\>", "2"], "+", 
    FractionBox["\<\"<\[Beta]\[Alpha]|\"\>", "2"], "+", 
    FractionBox["\<\"<\[Alpha]\[Beta]|\"\>", "2"], "+", 
    FractionBox["\<\"<\[Alpha]\[Alpha]|\"\>", "2"]}], ",", 
   RowBox[{
    FractionBox["\<\"<\[Beta]\[Beta]|\"\>", 
     SqrtBox["2"]], "-", 
    FractionBox["\<\"<\[Alpha]\[Alpha]|\"\>", 
     SqrtBox["2"]]}], ",", 
   RowBox[{
    RowBox[{"-", 
     FractionBox["\<\"<\[Beta]\[Alpha]|\"\>", 
      SqrtBox["2"]]}], "+", 
    FractionBox["\<\"<\[Alpha]\[Beta]|\"\>", 
     SqrtBox["2"]]}]}], "}"}]], "Output",
 CellChangeTimes->{3.5029436145420094`*^9, 3.5029436817924547`*^9, 
  3.502943733423574*^9, 3.502944161874817*^9, 3.515083826755906*^9, 
  3.568901714016416*^9, 3.712160411453534*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"MatrixRepresentation", "[", 
   RowBox[{"opI", "[", "\"\<y\>\"", "]"}], "]"}], "//", 
  "MatrixForm"}]], "Input",
 CellChangeTimes->{{3.502943633507667*^9, 3.5029436441813793`*^9}}],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"0", "0", 
      FractionBox["\[ImaginaryI]", 
       SqrtBox["2"]], "0"},
     {"0", "0", 
      RowBox[{"-", 
       FractionBox["\[ImaginaryI]", 
        SqrtBox["2"]]}], "0"},
     {
      RowBox[{"-", 
       FractionBox["\[ImaginaryI]", 
        SqrtBox["2"]]}], 
      FractionBox["\[ImaginaryI]", 
       SqrtBox["2"]], "0", "0"},
     {"0", "0", "0", "0"}
    },
    GridBoxAlignment->{
     "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
      "RowsIndexed" -> {}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[
   SparseArray[
    Automatic, {4, 4}, 0, {
     1, {{0, 1, 2, 4, 4}, {{3}, {3}, {1}, {2}}}, {
      Complex[0, 1] 2^Rational[-1, 2], Complex[0, -1] 2^Rational[-1, 2], 
       Complex[0, -1] 2^Rational[-1, 2], Complex[0, 1] 
       2^Rational[-1, 2]}}]]]]], "Output",
 CellChangeTimes->{3.5029436447915688`*^9, 3.5029436818596287`*^9, 
  3.502943737139649*^9, 3.5029441619298573`*^9, 3.5150838268046017`*^9, 
  3.56890172003876*^9, 3.712160411473547*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"MatrixRepresentation", "[", 
   RowBox[{"opI", "[", "\"\<x\>\"", "]"}], "]"}], "//", 
  "MatrixForm"}]], "Input",
 CellChangeTimes->{{3.502943633507667*^9, 3.5029436441813793`*^9}, 
   3.502943743054781*^9}],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      RowBox[{"-", "1"}], "0", "0", "0"},
     {"0", "1", "0", "0"},
     {"0", "0", "0", "0"},
     {"0", "0", "0", "0"}
    },
    GridBoxAlignment->{
     "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
      "RowsIndexed" -> {}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[
   SparseArray[
    Automatic, {4, 4}, 0, {
     1, {{0, 1, 2, 2, 2}, {{1}, {2}}}, {-1, 1}}]]]]], "Output",
 CellChangeTimes->{
  3.5029436447915688`*^9, 3.5029436818596287`*^9, {3.502943737139649*^9, 
   3.50294374344838*^9}, 3.50294416197558*^9, 3.5150838268560467`*^9, 
   3.5689017237509727`*^9, 3.712160411501067*^9}]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["BasisLabels", "Section",
 CellChangeTimes->{{3.50294382080295*^9, 3.502943828153634*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"?", "BasisLabels"}]], "Input",
 CellChangeTimes->{3.502943832004445*^9}],

Cell[BoxData[
 StyleBox["\<\"\!\(\*\\nStyleBox[\\\"BasisLabels\\\",\\nFontSlant->\\\"Italic\
\\\"]\) is an option for the Hilbert space bases. If \
\!\(\*\\nStyleBox[\\\"BasisLabels\\\",\\nFontSlant->\\\"Italic\\\"]\)\!\(\*\\\
nStyleBox[\\\"\[Rule]\\\",\\nFontSlant->\\\"Italic\\\"]\)\!\(\*\\nStyleBox[\\\
\"Automatic\\\",\\nFontSlant->\\\"Italic\\\"]\)\!\(\*\\nStyleBox[\\\" \
\\\",\\nFontSlant->\\\"Italic\\\"]\)(default), the Kets and Bras may be \
referred to using integers running from 1 to the basis dimension. The option \
\!\(\*\\nStyleBox[\\\"BasisLabels\\\",\\nFontSlant->\\\"Italic\\\"]\)\!\(\*\\\
nStyleBox[\\\"\[Rule]\\\",\\nFontSlant->\\\"Italic\\\"]\)\!\(\*\\nStyleBox[\\\
\"{\\\",\\nFontSlant->\\\"Italic\\\"]\)\!\(\*\\nStyleBox[\\\"a\\\",\\\
nFontSlant->\\\"Italic\\\"]\)\!\(\*\\nStyleBox[\\\",\\\",\\nFontSlant->\\\"\
Italic\\\"]\)\!\(\*\\nStyleBox[\\\"b\\\",\\nFontSlant->\\\"Italic\\\"]\)\!\(\*\
\\nStyleBox[\\\",\\\",\\nFontSlant->\\\"Italic\\\"]\)\!\(\*\\nStyleBox[\\\"c\\\
\",\\nFontSlant->\\\"Italic\\\"]\)\!\(\*\\nStyleBox[\\\"..\\\",\\nFontSlant->\
\\\"Italic\\\"]\)\!\(\*\\nStyleBox[\\\"}\\\",\\nFontSlant->\\\"Italic\\\"]\) \
allows the integers or strings \
\!\(\*\\nStyleBox[\\\"{\\\",\\nFontSlant->\\\"Italic\\\"]\)\!\(\*\\nStyleBox[\
\\\"a\\\",\\nFontSlant->\\\"Italic\\\"]\)\!\(\*\\nStyleBox[\\\",\\\",\\\
nFontSlant->\\\"Italic\\\"]\)\!\(\*\\nStyleBox[\\\"b\\\",\\nFontSlant->\\\"\
Italic\\\"]\)\!\(\*\\nStyleBox[\\\",\\\",\\nFontSlant->\\\"Italic\\\"]\)\!\(\*\
\\nStyleBox[\\\"c\\\",\\nFontSlant->\\\"Italic\\\"]\)\!\(\*\\nStyleBox[\\\"..\
\\\",\\nFontSlant->\\\"Italic\\\"]\)\!\(\*\\nStyleBox[\\\"}\\\",\\nFontSlant->\
\\\"Italic\\\"]\) to be used to refer to the Kets and Bras. The operation \
\!\(\*\\nStyleBox[\\\"BasisLabels\\\",\\nFontSlant->\\\"Italic\\\"]\)\!\(\*\\\
nStyleBox[\\\"[\\\",\\nFontSlant->\\\"Italic\\\"]\)\!\(\*\\nStyleBox[\\\"\
basis\\\",\\nFontSlant->\\\"Italic\\\"]\)\!\(\*\\nStyleBox[\\\"]\\\",\\\
nFontSlant->\\\"Italic\\\"]\) may also be used to obtain the set of state \
labels defined for a particular basis.\"\>", "MSG"]], "Print", "PrintUsage",
 CellChangeTimes->{3.712160411784769*^9},
 CellTags->"Info163712164011-1555327"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"SetBasis", "[", "]"}]], "Input",
 CellChangeTimes->{{3.502943839496501*^9, 3.502943843203114*^9}}],

Cell[BoxData[
 TemplateBox[{
  "SetBasis","set",
   "\"the state basis has been set to \\!\\(\\*RowBox[{\\\"ZeemanBasis\\\", \
\\\"[\\\", RowBox[{RowBox[{\\\"{\\\", RowBox[{RowBox[{\\\"{\\\", \
RowBox[{\\\"1\\\", \\\",\\\", FractionBox[\\\"1\\\", \\\"2\\\"]}], \
\\\"}\\\"}], \\\",\\\", RowBox[{\\\"{\\\", RowBox[{\\\"2\\\", \\\",\\\", \
FractionBox[\\\"1\\\", \\\"2\\\"]}], \\\"}\\\"}]}], \\\"}\\\"}], \\\",\\\", \
RowBox[{\\\"BasisLabels\\\", \\\"\[Rule]\\\", \\\"Automatic\\\"}]}], \
\\\"]\\\"}]\\).\"",2,17,7,29119467435074503810,"Local"},
  "MessageTemplate"]], "Message", "MSG",
 CellChangeTimes->{3.502943843700556*^9, 3.502944166663518*^9, 
  3.5029445433496733`*^9, 3.515083827343902*^9, 3.5689017350206175`*^9, 
  3.7121604119225583`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"BasisLabels", "[", "]"}]], "Input",
 CellChangeTimes->{{3.502943846176569*^9, 3.502943849210925*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"1", ",", "2", ",", "3", ",", "4"}], "}"}]], "Output",
 CellChangeTimes->{3.502943849741056*^9, 3.502944166716811*^9, 
  3.502944543403303*^9, 3.515083827392415*^9, 3.5689017373457503`*^9, 
  3.7121604119610853`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Ket", "[", "1", "]"}]], "Input",
 CellChangeTimes->{{3.5029438517353354`*^9, 3.502943852570814*^9}}],

Cell[BoxData["\<\"\[LeftBracketingBar]\[Alpha]\[Alpha]\[RightAngleBracket]\"\>\
"], "Output",
 CellChangeTimes->{3.502943853024667*^9, 3.502944166749799*^9, 
  3.502944543430833*^9, 3.5150838274409113`*^9, 3.568901740029904*^9, 
  3.712160411979599*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Bra", "[", "3", "]"}]], "Input",
 CellChangeTimes->{{3.502943855033733*^9, 3.502943856384688*^9}}],

Cell[BoxData["\<\"<\[Alpha]\[Beta]|\"\>"], "Output",
 CellChangeTimes->{3.502943856808689*^9, 3.5029441668001213`*^9, 
  3.502944543486267*^9, 3.51508382749648*^9, 3.5689017422850327`*^9, 
  3.7121604119951124`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"SetBasis", "[", 
  RowBox[{"ZeemanBasis", "[", 
   RowBox[{"BasisLabels", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"0", ",", "1", ",", "2", ",", "3"}], "}"}]}], "]"}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.5029438604749517`*^9, 3.502943904915275*^9}}],

Cell[BoxData[
 TemplateBox[{
  "SetBasis","set",
   "\"the state basis has been set to \\!\\(\\*RowBox[{\\\"ZeemanBasis\\\", \
\\\"[\\\", RowBox[{RowBox[{\\\"{\\\", RowBox[{RowBox[{\\\"{\\\", \
RowBox[{\\\"1\\\", \\\",\\\", FractionBox[\\\"1\\\", \\\"2\\\"]}], \
\\\"}\\\"}], \\\",\\\", RowBox[{\\\"{\\\", RowBox[{\\\"2\\\", \\\",\\\", \
FractionBox[\\\"1\\\", \\\"2\\\"]}], \\\"}\\\"}]}], \\\"}\\\"}], \\\",\\\", \
RowBox[{\\\"BasisLabels\\\", \\\"\[Rule]\\\", RowBox[{\\\"{\\\", \
RowBox[{\\\"0\\\", \\\",\\\", \\\"1\\\", \\\",\\\", \\\"2\\\", \\\",\\\", \
\\\"3\\\"}], \\\"}\\\"}]}]}], \\\"]\\\"}]\\).\"",2,21,8,29119467435074503810,
   "Local"},
  "MessageTemplate"]], "Message", "MSG",
 CellChangeTimes->{{3.502943885822019*^9, 3.50294390559546*^9}, 
   3.502944166851948*^9, 3.5029445435172462`*^9, 3.5150838275446167`*^9, 
   3.568901748391382*^9, 3.7121604120101213`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Ket", "[", "0", "]"}]], "Input",
 CellChangeTimes->{{3.5029438943405457`*^9, 3.5029439091310873`*^9}}],

Cell[BoxData["\<\"\[LeftBracketingBar]\[Alpha]\[Alpha]\[RightAngleBracket]\"\>\
"], "Output",
 CellChangeTimes->{{3.502943890775034*^9, 3.502943909696761*^9}, 
   3.5029441669298153`*^9, 3.5029445435719213`*^9, 3.5150838275937757`*^9, 
   3.5689017514335566`*^9, 3.712160412040142*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Bra", "[", "3", "]"}]], "Input",
 CellChangeTimes->{{3.5029445523860693`*^9, 3.502944560127819*^9}, 
   3.5029446059283752`*^9}],

Cell[BoxData["\<\"<\[Beta]\[Beta]|\"\>"], "Output",
 CellChangeTimes->{{3.5029445541968946`*^9, 3.502944560663948*^9}, 
   3.502944606313751*^9, 3.515083827643076*^9, 3.5689017575929084`*^9, 
   3.712160412053651*^9}]
}, Open  ]]
}, Open  ]]
},
WindowSize->{1038, 730},
WindowMargins->{{10, Automatic}, {Automatic, 3}},
PrintingCopies->1,
PrintingPageRange->{1, Automatic},
PrivateNotebookOptions->{"VersionedStylesheet"->{"Default.nb"[8.] -> False}},
ShowSelection->True,
FrontEndVersion->"11.0 for Microsoft Windows (64-bit) (July 28, 2016)",
StyleDefinitions->"mhl-default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{
 "Info163712164011-1555327"->{
  Cell[20474, 579, 2192, 30, 78, "Print",
   CellTags->"Info163712164011-1555327"]}
 }
*)
(*CellTagsIndex
CellTagsIndex->{
 {"Info163712164011-1555327", 27343, 743}
 }
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[567, 22, 193, 3, 30, "Input"],
Cell[763, 27, 149, 4, 36, "Print"],
Cell[915, 33, 836, 15, 57, "Message"]
}, Open  ]],
Cell[CellGroupData[{
Cell[1788, 53, 200, 3, 30, "Input"],
Cell[1991, 58, 1181, 20, 47, "Message"],
Cell[3175, 80, 1321, 21, 47, "Message"]
}, Open  ]],
Cell[CellGroupData[{
Cell[4533, 106, 91, 1, 63, "Section"],
Cell[CellGroupData[{
Cell[4649, 111, 101, 1, 43, "Subsection"],
Cell[CellGroupData[{
Cell[4775, 116, 119, 2, 30, "Input"],
Cell[4897, 120, 482, 13, 53, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[5416, 138, 124, 2, 30, "Input"],
Cell[5543, 142, 493, 8, 30, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[6073, 155, 123, 2, 30, "Input"],
Cell[6199, 159, 333, 6, 30, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[6569, 170, 216, 5, 30, "Input"],
Cell[6788, 177, 1547, 40, 142, "Output"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[8384, 223, 111, 1, 43, "Subsection"],
Cell[CellGroupData[{
Cell[8520, 228, 168, 3, 30, "Input"],
Cell[8691, 233, 730, 13, 47, "Message"]
}, Open  ]],
Cell[CellGroupData[{
Cell[9458, 251, 124, 2, 30, "Input"],
Cell[9585, 255, 807, 21, 62, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[10429, 281, 123, 2, 30, "Input"],
Cell[10555, 285, 550, 13, 62, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[11142, 303, 216, 5, 30, "Input"],
Cell[11361, 310, 1326, 38, 139, "Output"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[12736, 354, 151, 2, 43, "Subsection"],
Cell[CellGroupData[{
Cell[12912, 360, 252, 5, 30, "Input"],
Cell[13167, 367, 336, 7, 21, "Message"],
Cell[13506, 376, 895, 15, 47, "Message"]
}, Open  ]],
Cell[CellGroupData[{
Cell[14438, 396, 124, 2, 30, "Input"],
Cell[14565, 400, 1537, 38, 62, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[16139, 443, 123, 2, 30, "Input"],
Cell[16265, 447, 1059, 26, 62, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[17361, 478, 216, 5, 30, "Input"],
Cell[17580, 485, 1353, 38, 139, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[18970, 528, 242, 6, 30, "Input"],
Cell[19215, 536, 979, 27, 94, "Output"]
}, Open  ]]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[20255, 570, 95, 1, 63, "Section"],
Cell[CellGroupData[{
Cell[20375, 575, 96, 2, 30, "Input"],
Cell[20474, 579, 2192, 30, 78, "Print",
 CellTags->"Info163712164011-1555327"]
}, Open  ]],
Cell[CellGroupData[{
Cell[22703, 614, 122, 2, 30, "Input"],
Cell[22828, 618, 748, 13, 47, "Message"]
}, Open  ]],
Cell[CellGroupData[{
Cell[23613, 636, 125, 2, 30, "Input"],
Cell[23741, 640, 255, 5, 30, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[24033, 650, 124, 2, 30, "Input"],
Cell[24160, 654, 253, 4, 30, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[24450, 663, 122, 2, 30, "Input"],
Cell[24575, 667, 215, 3, 30, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[24827, 675, 281, 7, 30, "Input"],
Cell[25111, 684, 879, 15, 47, "Message"]
}, Open  ]],
Cell[CellGroupData[{
Cell[26027, 704, 126, 2, 30, "Input"],
Cell[26156, 708, 285, 4, 30, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[26478, 717, 152, 3, 30, "Input"],
Cell[26633, 722, 217, 3, 63, "Output"]
}, Open  ]]
}, Open  ]]
}
]
*)

